------------------------------
-- F-15E ARMT A/A Page -------
------------------------------
dofile(LockOn_Options.script_path.."MFDG/MFDG_definitions.lua")
dofile(LockOn_Options.script_path.."MFDG/ARMT/ARMT_Menu.lua")


local Line1 = 0.65
local Line2 = Line1 - 0.08
local Line3 = -0.28
local Line4 = Line3 - 0.08
local Line5 = 0.10
local Line6 = Line5 - 0.08

-- MASTER MODES
local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AG_CMBT"
		ARMT_Text.material			= stroke_fontgreen						--CHANGE FONT TO GREEN
		ARMT_Text.init_pos			= {PosX(0.68), PosY( 0.57), 0}
		ARMT_Text.formats			= {"A/G %s"}
		ARMT_Text.controllers		= {{"armt_AG_Mode"}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_CMBT"
		ARMT_Text.material			= stroke_fontgreen					--CHANGE FONT TO GREEN
		ARMT_Text.init_pos			= {PosX(0.68), PosY( 0.49), 0}
		ARMT_Text.formats			= {"A/A %s"}
		ARMT_Text.controllers		= {{"armt_AA_Mode"}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

-- WEAPONS LOAD
local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_CFTL2_Status"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(-0.14), PosY(Line1), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Status", PYLON_3C}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_CFTL2_Load"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(-0.14), PosY(Line2), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Type", PYLON_3C}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_CFTL1_Status"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(-0.14), PosY(Line3), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Status", PYLON_4C}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_CFTL1_Load"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(-0.14), PosY(Line4), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Type", PYLON_4C}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

--

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_WINGL1_Status"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(-0.45), PosY(Line5), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Status", PYLON_2A}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_WINGL1_Load"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(-0.45), PosY(Line6), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Type", PYLON_2A}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_WINGL2_Status"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(-0.22), PosY(Line5), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Status", PYLON_2B}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_WINGL2_Load"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(-0.22), PosY(Line6), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Type", PYLON_2B}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

--

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_WINGR1_Status"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(0.45), PosY(Line5), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Status", PYLON_8A}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_WINGR1_Load"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(0.45), PosY(Line6), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Type", PYLON_8A}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_WINGR2_Status"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(0.22), PosY(Line5), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Status", PYLON_8B}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_WINGR2_Load"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(0.22), PosY(Line6), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Type", PYLON_8B}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

--

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_CFTR2_Status"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(0.14), PosY(Line1), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Status", PYLON_7C}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_CFTR2_Load"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(0.14), PosY(Line2), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Type", PYLON_7C}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_CFTR1_Status"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(0.14), PosY(Line3), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Status", PYLON_6C}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)

local	ARMT_Text					= CreateElement "ceStringSLine"
		ARMT_Text.name				= "AA_CFTR1_Load"
		ARMT_Text.material			= stroke_font
		ARMT_Text.init_pos			= {PosX(0.14), PosY(Line4), 0}
		ARMT_Text.formats			= {"%s"}
		ARMT_Text.controllers		= {{"armt_AA_Load_Type", PYLON_6C}}
		ARMT_Text.stringdefs		= stringdefs[STROKE_FNT_DFLT_100]
		ARMT_Text.alignment			= "CenterTop"
Add_MFDG_Element(ARMT_Text)


-- SYMBOLS
local	ARMT_Symbol					= CreateElement "ceSMultiLine"
		ARMT_Symbol.name			= "AA_WING_FORM"
		ARMT_Symbol.material		= armtwingform		--Define variable color for Wingform
		ARMT_Symbol.init_pos		= {0, PosY(0.10), 0}
		ARMT_Symbol.points_set		= {"stroke_symbols_MFDG", "AA_WING_FORM"}
		ARMT_Symbol.scale			= MFDG_STRK_SCALE
AddMFDGStrokeSymbol(ARMT_Symbol)

local	ARMT_Symbol					= CreateElement "ceSMultiLine"
		ARMT_Symbol.name			= "AC_MASTERMODE"
		ARMT_Symbol.material		= stroke_fontgreen		--AA/AG MASTER MODE BOX to green
		ARMT_Symbol.init_pos		= {PosX(0.68), PosY( 0.55), 0}
		ARMT_Symbol.controllers		= {{"armt_Current_Mode", MFDG_STRK_SCALE}}
		ARMT_Symbol.points_set		= {"stroke_symbols_MFDG", "PACS_Mode_Box"}
		ARMT_Symbol.scale			= MFDG_STRK_SCALE
AddMFDGStrokeSymbol(ARMT_Symbol)

local	ARMT_Symbol					= CreateElement "ceSMultiLine"
		ARMT_Symbol.name			= "AAM_PRIORITY_Status"
		ARMT_Symbol.material		= stroke_material
		ARMT_Symbol.init_pos		= {0, PosY( 0.095), 0}
		ARMT_Symbol.controllers		= {{"armt_AA_Priority_Status", MFDG_STRK_SCALE}}
		ARMT_Symbol.points_set		= {"stroke_symbols_MFDG", "AAM_Priority_Box"}
		ARMT_Symbol.scale			= MFDG_STRK_SCALE
AddMFDGStrokeSymbol(ARMT_Symbol)

local	ARMT_Symbol					= CreateElement "ceSMultiLine"
		ARMT_Symbol.name			= "AAM_PRIORITY_Type"
		ARMT_Symbol.material		= stroke_material
		ARMT_Symbol.init_pos		= {0, PosY( 0.0), 0}
		ARMT_Symbol.controllers		= {{"armt_AA_Priority_Type", MFDG_STRK_SCALE}}
		ARMT_Symbol.points_set		= {"stroke_symbols_MFDG", "AAM_Priority_Box"}
		ARMT_Symbol.scale			= MFDG_STRK_SCALE
AddMFDGStrokeSymbol(ARMT_Symbol)
